import { ReturnValues } from './types.js'
import { list, map, seq, skip } from '../parser.js'
import { value, Symbols, ws, Keyword } from './common.js'

const params = map(
  x => new ReturnValues(...x),
  seq(list(seq(ws, Symbols.Comma, ws), value))
)

export const returnClause = seq(skip(Keyword.Return), ws, params)

