import { identifier, Keyword, ws } from './common.js'
import { map, noCaseString, seq, skip } from '../parser.js'
import { SelectedGraph } from './types.js'

export const useKeyword = noCaseString('use')

export const useClause = map(
  ([graph]) => new SelectedGraph(graph),
  seq(skip(Keyword.Use), ws, identifier)
)

